import re

from sohstationviewer.conf.constants import (WF_1ST, WF_2ND, WF_3RD)
"""
seisRE: Seismic data channels' regex:
First letter(Band Code): ABCDEFGHLMOPQRSTUV
Second letter (Instrument Code): GHLMN  (remove GM - Alissa)
Third letter (Orientation Code): ZNE123
=> to check if the channel is seismic data: if conf['seisRE'].match(chan):
"""

dbConf = {
    'dbpath': 'sohstationviewer/database/soh.db',
    'seisRE': re.compile(f'[{WF_1ST}][{WF_2ND}][{WF_3RD}]'),
    # key is last char of chan
    'seisLabel': {'1': 'NS', '2': 'EW', 'N': 'NS', 'E': 'EW', 'Z': 'V'},
    # +0.2:Y
    'valColRE': re.compile('^\+?\-?[0-9]+\.?[0-9]?:[RYGMC]')     # noqa: W605
}
